type lint = record 

              len:integer;
              dgt:array[1..1000] of char;
            end;

procedure add(var a, b, c : lint);
var p, i : integer;
begin
  p:=0;
  i:=1;
  while (i<=a.len) or (i<=b.len) do
  begin
    if (i<=a.len) then p:=p+ord(a.dgt[i])-ord('0');
    if (i<=b.len) then p:=p+ord(b.dgt[i])-ord('0');
    c.dgt[i]:=chr((p mod 10)+ord('0'));
    p:=p div 10;
    inc(i);
  end;
  if p>0 then
  begin
    c.dgt[i]:=chr(p+ord('0'));
    inc(i);
  end;
  c.len:=i-1;
end;


procedure init(var a : lint; b : integer);
begin
  a.len:=1;
  a.dgt[1]:=chr(b+ord('0'));
end;


procedure print(var a : lint);
var i : integer;
begin
  for i:=a.len downto 1 do
  write(a.dgt[i]);
  writeln;
end;

var st2, f1, f2, f3 : lint;
    n, i : integer;
begin
  assign(input,'input.txt');
  reset(input);
  assign(output,'output.txt');
  rewrite(output);
  read(n);
  init(st2,1);
  init(f1,0);
  init(f2,0);
  if n<=2 then writeln('0')
  else
    begin
      for i:=3 to n do
      begin
        add(st2,f1,f3);
        add(st2,st2,st2);
        f1:=f2;
        f2:=f3;
      end;
      print(f3);
    end;
  close(input);
  close(output);
end.
